harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Nataly Naumova" <natalya.s.naum...@gmail.com>
Subject Re: [build] Classlib is not buildable with the common javac. Is it correct?
Date Fri, 01 Dec 2006 15:23:12 GMT
Hi again,

On 12/1/06, Nathan Beyer <nbeyer@gmail.com> wrote:
> What version of the JDK RI compiler are you using?

I'm using javac's from:
SUN's one:
1.5.0_06
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_06-b05)
Java HotSpot(TM) Client VM (build 1.5.0_06-b05, mixed mode)
BEA's one:
java version "1.5.0"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0-b64)
BEA WebLogic JRockit(R) (build dra-38972-20041208-2001-win-ia32, R25.0.0-75, G
tegy singleparpar))

There is the same error with SUN 1.5.0_08.
I think it's rather ecj.jar bug than javac's one.. Such situations
shouldn't be compiled, I'm sure that it's possible to find an exact
place in java spec to show it.

Thanks.
-- 
Nataly Naumova,
Intel Middleware Products Division

Mime
View raw message